# PUT /agents/config
URL: https://www.warpbuild.com/docs/api/agents/UpdateAgentConfig

---
title: "PUT /agents/config"
full: true
_openapi:
  preload:
    - ../../packages/api/core/openapi.json
  method: PUT
  webhook: false
  toc: []
  structuredData:
    headings: []
    contents: []
---

{/* This file was generated by Fumadocs. Do not edit this file directly. Any changes should be made by running the generation command again. */}

export default function Layout(props) {
  const { APIPage, OpenAPIPage } = props.components ?? {};
  // "APIPage" is the old name from v10, this allows both for backward compatibility
  const Comp = OpenAPIPage ?? APIPage;
  return (
    <>
      {props.children}
      <Comp document="../../packages/api/core/openapi.json" operations={[{"path":"/agents/config","method":"put"}]} />
    </>
  );
}